org.wildfly.swarm.config.security.security_domain.mapping

## Class MappingModule<T extends MappingModule<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.security_domain.mapping.MappingModule<T>

-     public class MappingModule<T extends MappingModule<T>>
      extends Object

  List of modules that map principal, role, and credential information

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingModule(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `code()` Class name of the module to be instantiated.
    `T` | `code(String value)` Class name of the module to be instantiated.
    `String` | `getKey()`
    `String` | `module()` Name of JBoss Module where the mapping module code is located.
    `T` | `module(String value)` Name of JBoss Module where the mapping module code is located.
    `T` | `moduleOption(String key, Object value)` List of module options containing a name/value pair.
    `Map` | `moduleOptions()` List of module options containing a name/value pair.
    `T` | `moduleOptions(Map value)` List of module options containing a name/value pair.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `type()` Type of mapping this module performs.
    `T` | `type(String value)` Type of mapping this module performs.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingModule

          public MappingModule(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### code

          public String code()

      Class name of the module to be instantiated.

    - #### code

          public T code(String value)

      Class name of the module to be instantiated.

    - #### module

          public String module()

      Name of JBoss Module where the mapping module code is located.

    - #### module

          public T module(String value)

      Name of JBoss Module where the mapping module code is located.

    - #### moduleOptions

          public Map moduleOptions()

      List of module options containing a name/value pair.

    - #### moduleOptions

          public T moduleOptions(Map value)

      List of module options containing a name/value pair.

    - #### moduleOption

          public T moduleOption(String key,
                                Object value)

      List of module options containing a name/value pair.

    - #### type

          public String type()

      Type of mapping this module performs. Allowed values are principal, role, attribute or credential..

    - #### type

          public T type(String value)

      Type of mapping this module performs. Allowed values are principal, role, attribute or credential..

Copyright © 2018 JBoss by Red Hat. All rights reserved.